Bug 130729 - xfsdump hangs, then refuses to be killed
xfsdump hangs, then refuses to be killed
Product: Fedora
Classification: Fedora
Component: xfsprogs (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jeff Garzik
Depends On:
  Show dependency treegraph
Reported: 2004-08-23 18:59 EDT by Richard Bonomo
Modified: 2013-07-02 22:21 EDT (History)
3 users (show)

See Also:
Fixed In Version: FC3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-05-24 13:34:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
output of ps -el (5.01 KB, text/plain)
2004-08-23 19:03 EDT, Richard Bonomo
no flags Details

  None (edit)
Description Richard Bonomo 2004-08-23 18:59:53 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X; en-us) AppleWebKit/
85.8.2 (KHTML, like Gecko) Safari/85

Description of problem:
On occasion the program will "hang" when doing incremental dumps.
That is annoying enough, but what is worse is that the program cannot
be killed.  It seems that one "hung" xfsdump process interferes with any further
attempts to perform the selected backup.  The only way I have found to
kill these disconnected processes and successfully try to dump again is
by rebooting the system.
Comment 1 Richard Bonomo 2004-08-23 19:03:40 EDT
Created attachment 103007 [details]
output of ps -el

Note the two instances of post-kill-attempt xfsdump
Comment 2 Richard Bonomo 2004-11-29 18:13:18 EST
I partially got around this problem some time ago by applying a patch produced
by Christoph Hellwig.  See:


Which apparently deals with a memory managment problem.
(The patch is for /usr/src/linux-2.6.5-1.358/fs/xfs/linux/xfs_buf.c)

The cutomized kernel no longer has the xfsdump hanging non-killable,
but the kernel still does crash with depressing frequency during dumps.

Is this considered a user space or kernel problem?

Thank you.
Comment 3 Matthew Miller 2005-04-26 11:22:50 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.

Note You need to log in before you can comment on or make changes to this bug.